
Cook: apngasm 2.91
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): zlib-dev-1.2.11-i486
Installing (pkg/local): libpng-1.6.36-i486
Installing (pkg/local): libpng-dev-1.6.36-i486
Extracting source archive "apngasm-2.91-src.zip"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

mkdir -p obj/. obj/7z obj/zopfli
gcc -o obj/./image.o -c image.cpp -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/./apngasm.o -c apngasm.cpp -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/7z/WindowOut.o -c 7z/WindowOut.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/OutByte.o -c 7z/OutByte.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/InByte.o -c 7z/InByte.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LenCoder.o -c 7z/LenCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LiteralCoder.o -c 7z/LiteralCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LSBFEncoder.o -c 7z/LSBFEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/WindowIn.o -c 7z/WindowIn.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/AriBitCoder.o -c 7z/AriBitCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/WindowIn.cc:2:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/LSBFDecoder.o -c 7z/LSBFDecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/7zlzma.o -c 7z/7zlzma.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LZMADecoder.o -c 7z/LZMADecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2,
                 from 7z/BinTreeMF.h:4,
                 from 7z/BinTree2.h:10,
                 from 7z/LZMAEncoder.h:12,
                 from 7z/7zlzma.cc:3:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/HuffmanEncoder.o -c 7z/HuffmanEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/7zdeflate.o -c 7z/7zdeflate.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/IInOutStreams.o -c 7z/IInOutStreams.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2,
                 from 7z/BinTree3Z.h:9,
                 from 7z/DeflateEncoder.h:4,
                 from 7z/7zdeflate.cc:3:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/DeflateEncoder.o -c 7z/DeflateEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2,
                 from 7z/BinTree3Z.h:9,
                 from 7z/DeflateEncoder.h:4,
                 from 7z/DeflateEncoder.cc:1:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/LZMAEncoder.o -c 7z/LZMAEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2,
                 from 7z/BinTreeMF.h:4,
                 from 7z/BinTree2.h:10,
                 from 7z/LZMAEncoder.h:12,
                 from 7z/LZMAEncoder.cc:2:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/DeflateDecoder.o -c 7z/DeflateDecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/CRC.o -c 7z/CRC.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LZMA.o -c 7z/LZMA.cc -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/zopfli/deflate.o -c zopfli/deflate.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/blocksplitter.o -c zopfli/blocksplitter.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/zopfli_lib.o -c zopfli/zopfli_lib.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/squeeze.o -c zopfli/squeeze.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
In file included from zopfli/squeeze.c:28:
zopfli/symbols.h:231:12: warning: 'ZopfliGetDistSymbolExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetDistSymbolExtraBits(int s) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:222:12: warning: 'ZopfliGetLengthSymbolExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetLengthSymbolExtraBits(int s) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:161:12: warning: 'ZopfliGetLengthExtraBitsValue' defined but not used [-Wunused-function]
 static int ZopfliGetLengthExtraBitsValue(int l) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:61:12: warning: 'ZopfliGetDistExtraBitsValue' defined but not used [-Wunused-function]
 static int ZopfliGetDistExtraBitsValue(int dist) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~
gcc -o obj/zopfli/lz77.o -c zopfli/lz77.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/gzip_container.o -c zopfli/gzip_container.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
In file included from zopfli/lz77.c:21:
zopfli/symbols.h:231:12: warning: 'ZopfliGetDistSymbolExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetDistSymbolExtraBits(int s) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:222:12: warning: 'ZopfliGetLengthSymbolExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetLengthSymbolExtraBits(int s) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:161:12: warning: 'ZopfliGetLengthExtraBitsValue' defined but not used [-Wunused-function]
 static int ZopfliGetLengthExtraBitsValue(int l) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:138:12: warning: 'ZopfliGetLengthExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetLengthExtraBits(int l) {
            ^~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:61:12: warning: 'ZopfliGetDistExtraBitsValue' defined but not used [-Wunused-function]
 static int ZopfliGetDistExtraBitsValue(int dist) {
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~
zopfli/symbols.h:38:12: warning: 'ZopfliGetDistExtraBits' defined but not used [-Wunused-function]
 static int ZopfliGetDistExtraBits(int dist) {
            ^~~~~~~~~~~~~~~~~~~~~~
gcc -o obj/zopfli/katajainen.o -c zopfli/katajainen.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/hash.o -c zopfli/hash.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/util.o -c zopfli/util.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/cache.o -c zopfli/cache.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
zopfli/cache.c: In function 'ZopfliInitCache':
zopfli/cache.c:36:51: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'size_t' {aka 'unsigned int'} [-Wformat=]
         "Error: Out of memory. Tried allocating %lu bytes of memory.\n",
                                                 ~~^
                                                 %u
gcc -o obj/zopfli/zlib_container.o -c zopfli/zlib_container.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o obj/zopfli/tree.o -c zopfli/tree.c -I./. -I./7z -I./zopfli -Wall -pedantic -DFEATURE_7ZIP -DFEATURE_ZOPFLI -O2
gcc -o apngasm obj/./image.o obj/./apngasm.o obj/7z/WindowOut.o obj/7z/OutByte.o obj/7z/InByte.o obj/7z/LenCoder.o obj/7z/LiteralCoder.o obj/7z/LSBFEncoder.o obj/7z/WindowIn.o obj/7z/AriBitCoder.o obj/7z/LSBFDecoder.o obj/7z/7zlzma.o obj/7z/LZMADecoder.o obj/7z/HuffmanEncoder.o obj/7z/7zdeflate.o obj/7z/IInOutStreams.o obj/7z/DeflateEncoder.o obj/7z/LZMAEncoder.o obj/7z/DeflateDecoder.o obj/7z/CRC.o obj/7z/LZMA.o obj/zopfli/deflate.o obj/zopfli/blocksplitter.o obj/zopfli/zopfli_lib.o obj/zopfli/squeeze.o obj/zopfli/lz77.o obj/zopfli/gzip_container.o obj/zopfli/katajainen.o obj/zopfli/hash.o obj/zopfli/util.o obj/zopfli/cache.o obj/zopfli/zlib_container.o obj/zopfli/tree.o -s -lstdc++ -lm -lpng -lz
Copying documentation...                                               Done
================================================================================

================================================================================


Build dependencies to remove: 3
Removing: libpng libpng-dev zlib-dev


Pack: apngasm 2.91
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Copying "description.txt"...                                           Done
Determining package architecture...                                    i486
Executing strip on all files...                                        Done
  Time: 0.46s. Size: 173480 B -> 173480 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "apngasm-2.91-i486.tazpkg"                        Done
The release checksum has changed.
================================================================================
Package "apngasm-2.91-i486.tazpkg" created


Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Done
Checking libtool in source/apngasm-2.91...                             Done
Checking site script in source/apngasm-2.91...                         Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================


Summary for: apngasm 2.91
================================================================================
Src file    : apngasm-2.91-src.zip
Src size    : 584.0K
Source dir  : 3.1M
Produced    : 200.0K
Cook time   : 10s
Cook date   : 2018-12-26 06:11
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  204.0K :      69.6K :     1 : apngasm-2.91-i486.tazpkg
================================================================================
